#ifndef MY_NETDB_H
#define MY_NETDB_H 1

/* Description of data base entry for a single service.  */
struct servent
{
  char *s_name;     /* Official service name.  */
  char **s_aliases;   /* Alias list.  */
  int s_port;     /* Port number.  */
  char *s_proto;    /* Protocol to use.  */
};

extern struct servent *getservbyname (__const char *__name,
              __const char *__proto);


#endif
