/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

# ifndef _PSP_GLOBAL_H_
# define _PSP_GLOBAL_H_

# define MAX_PATH    512

  typedef struct PSPSSH_t {

    char psp_homedir[MAX_PATH];
    int  psp_screenshot_id;
    int  psp_log_id;
    int  psp_screenshot_mode;
    int  psp_save_log_mode;
    int  ssh_enable_id_rsa;
    int  psp_visual_bell;
    int  psp_cpu_clock;

  } PSPSSH_t;

  extern PSPSSH_t PSPSSH;

# endif
